Ogre::GLESPBuffer Class Reference

`#include <OgreGLESPBuffer.h>`

Inheritance diagram for Ogre::GLESPBuffer:
[legend]

List of all members.

## Public Member Functions

| GLESPBuffer (PixelComponentType format, size_t width, size_t height)
virtual | ~GLESPBuffer ()
PixelComponentType | getFormat ()
size_t | getWidth ()
size_t | getHeight ()

## Static Public Member Functions

static PixelComponentType | getPixelComponentType (PixelFormat fmt)
| Get PBuffer component format for an OGRE pixel format.

## Protected Attributes

PixelComponentType | mFormat
size_t | mWidth
size_t | mHeight

## Detailed Description

Definition at line 41 of file OgreGLESPBuffer.h.

## Constructor & Destructor Documentation

Ogre::GLESPBuffer::GLESPBuffer | ( | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |  |

virtual Ogre::GLESPBuffer::~GLESPBuffer | ( |  | ) | `[virtual]`

## Member Function Documentation

PixelComponentType Ogre::GLESPBuffer::getFormat | ( |  | ) |

Definition at line 47 of file OgreGLESPBuffer.h.

size_t Ogre::GLESPBuffer::getHeight | ( | void |  | ) |

Definition at line 49 of file OgreGLESPBuffer.h.

static PixelComponentType Ogre::GLESPBuffer::getPixelComponentType | ( | PixelFormat | fmt | ) | `[static]`

Get PBuffer component format for an OGRE pixel format.

size_t Ogre::GLESPBuffer::getWidth | ( | void |  | ) |

Definition at line 48 of file OgreGLESPBuffer.h.

## Member Data Documentation

PixelComponentType Ogre::GLESPBuffer::mFormat`[protected]`

Definition at line 55 of file OgreGLESPBuffer.h.

size_t Ogre::GLESPBuffer::mHeight`[protected]`

Definition at line 56 of file OgreGLESPBuffer.h.

size_t Ogre::GLESPBuffer::mWidth`[protected]`

Definition at line 56 of file OgreGLESPBuffer.h.

The documentation for this class was generated from the following file:

- OgreGLESPBuffer.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:58